/*********************************************************************
*                                                                    *          
*                              FLY                                   *
*                           --E#Y#E--				     *
*                         ===MUSCLE===                               *
*                                                                    *
*********************************************************************/
#ifndef OPENGL_H_
#define OPENGL_H_
/* Header Files */
#include <cstdio>
#include <cstdlib>
#include <GL/glew.h>
#include <GL/gl.h>
#include <GL/glx.h>
#include <GL/glu.h>
#include "uniform.h"
#include "win.h"


//---------------------------------------------------------------------------

class FLY
{
public:
	/* Function */
	void init(bool night);
	void texture();
	void Landscape(bool colour);
	void Cockpit();
	void process_event(XEvent report);

private:
	/* Global Definitions */
	char ti;

	/* RGB Colour */
	struct f_colour
	{
		GLfloat r;
		GLfloat	g;	
		GLfloat	b;
		GLfloat	a; 
	};

	/* Textures Coordinate */
	struct f_texture
	{
		GLfloat s;
		GLfloat t;
	};

	/* Init Triangles */
	struct f_triangles
	{
		GLfloat x;
		GLfloat y;
		GLfloat z;
	};

	/* Structure Float */
	struct f_float
	{
		struct f_colour col;
		struct f_texture tex;
		struct f_triangles tri;
	}gl;
};

//---------------------------------------------------------------------------

#endif
